<?php
include "koneksi.php";
if (!isset($_SESSION["UserID"])) {
	header("location:login.php?p=3");
}
$q="SELECT * FROM user WHERE id='". $_SESSION["UserID"] ."'";
						$res=mysqli_query($conn,$q);
						$dataUser=mysqli_fetch_assoc($res);
					
						$nik = $dataUser["nik_data_karyawan"];

?>
<!DOCTYPE html>
<link rel="stylesheet" type="text/css" href="style.css">
<html>

	<head>
		<title> PT. MULTI HIDRACHROME BALIKPAPAN </title>
		<link rel="icon" type="image/png" href="images/mhb.jpeg">
						<?php
				include "part/menu2.php";
				?>
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<?php
		include "part/jss.php";
		?>

	</head>

	<body>

		<div style="width:1280px; height:220px" class="container" >

			
				<div class="alert alert-info" style='background-color:#F8F8FF' href="#">
				<div style="display: block; margin-left: auto; margin-right: auto; width: 1000px;  height:100px;"><img style="width: 1000px;  height:180px;" src="images/hd.jpg"></div>
				<div>
					<center>
						<h1>PT. MULTI HIDRACHROM BALIKPAPAN</h1>
					</center>
				</div>
				<div>
					<center>
						<h4 >PROFESIONAL INFORMATION SYSTEM</h4>
					</center>
				</div>
			</div>

				<div class="alert alert-info" align='center' >
					<h3>PR DITOLAK</h3>
					<h5>menampilkan pr yang ditolak</h5>
					<?php
					if (isset($_GET["p"])) 
					{
						$p = $_GET["p"];
						if ($p == "1") 
						{
						?>
						<div class="alert alert-primary">
							KARYAWAN MUTASI DISETUJUI!
						</div>
						<?php
						} 
						else if ($p == "3") 
						{
						?>
							<div class="alert alert-danger">
								KARYAWAN KARYAWAN GAGAL DIUSULKAN MUTASI!
							</div>
						<?php
						}
					}
					?>
					<?php
					$z = 1;
					?>
					<table class="table table-bordered">
						<thead>
							<tr>
							    <th>
									NO 
								</th>
								<th>
									NIK
								</th>
								<th>
									PR NO
								</th>
								<th>
									PR DATE
								</th>
								<th>
									DOCUMENT NO
								</th>
								<th>
									SPV
								</th>
								<th>
									HR & GA / OPERASIONAL
								</th>
								<th>
									DIREKTUR
								</th>
								<th>
									
								</th>
							</tr>
						</thead>
						<tbody>
							<?php
							$status = '1';
							$q = "SELECT * FROM data_purchasing_requisition WHERE status_direktur ='$status' ORDER BY id DESC";
							$res = mysqli_query($conn, $q);
							while ($row = mysqli_fetch_assoc($res)) {
							?>
								<tr>
									<td>
									     <?php
									         echo $z;
									         $z = $z + 1;
											 //echo $row["id"];
									     ?>
								    </td>
									<td>
										<?php
										echo $row["user_request"];
										?>
									</td>
									<td>
										<?php
										echo $row["pr_no"];
										?>
									</td>
									
									<td>
										<?php
										echo $row["pr_date"];
										?>
									</td>
										<td>
										<?php
										echo $row["document_no"];
										?>
									</td>
										<td>
										<?php
										$row["status_spv"];
										if ($row["status_spv"] == 0)
										{
											echo "Belum disetujui";
										}
										else if ($row["status_spv"] == 2)
										{
											echo "Disetujui";
										}
										else if ($row["status_spv"] == 1)
										{
											echo "Ditolak";
										}
										?>
									</td>
										<td>
										<?php
										$row["status_hcga"];
										if ($row["status_hcga"] OR $row["status_operasional"]== 0)
										{
											echo "Belum disetujui";
										}
										else if ($row["status_hcga"] OR $row["status_operasional"] == 2)
										{
											echo "Disetujui";
										}
										else if ($row["status_hcga"] OR $row["status_operasional"] == 1)
										{
											echo "Ditolak";
										}
										?>
									</td>
									<td>
										<?php
										$row["status_direktur"];
										if ($row["status_direktur"] == 0)
										{
											echo "Belum disetujui";
										}
										else if ($row["status_direktur"] == 2)
										{
											echo "Disetujui";
										}
										else if ($row["status_direktur"] == 1)
										{
											echo "Ditolak";
										}
										?>
									</td>
									  <td>	
										<a href="detailHistoryPr.php?id=<?php echo $row["id"]; ?>"    type="button" class="btn btn-primary"   >DETAIL</a>	
										</td>
							

									</td>
								</tr>
							<?php
							}
							?>
						</tbody>
					</table>

				</div>

		<center><h5 class="form-signin">Copyright &copy; <a href="#" data-toggle="modal" data-target="#contact">SatrioPringgondani</a></h5></center>  
	</body>
</html>

<script>
$(document).ready(function()
{
	 $('.table-bordered').DataTable();
});
</script>